Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.block
Class BlockRedstoneRepeater

    java.lang.Object
      net.minecraft.block.Block
          net.minecraft.block.BlockDirectional
              net.minecraft.block.BlockRedstoneRepeater

    public class BlockRedstoneRepeater

extends BlockDirectional

Field Summary
`static double[]` | `repeaterTorchOffset` The offsets for the two torches in redstone repeater blocks.

Fields inherited from class net.minecraft.block.Block
`anvil, beacon, bed, bedrock, blockClay, blockDiamond, blockEmerald, blockGold, blockID, blockIndexInTexture, blockLapis, blockMaterial, blockParticleGravity, blocksList, blockSnow, blockSteel, bookShelf, brewingStand, brick, cactus, cake, canBlockGrass, carrot, cauldron, chest, cloth, cobblestone, cobblestoneMossy, cobblestoneWall, cocoaPlant, commandBlock, crops, deadBush, dirt, dispenser, doorSteel, doorWood, dragonEgg, enchantmentTable, enderChest, endPortal, endPortalFrame, fence, fenceGate, fenceIron, fire, flowerPot, glass, glowStone, grass, gravel, ice, isDefaultTexture, jukebox, ladder, lavaMoving, lavaStill, leaves, lever, lightOpacity, lightValue, lockedChest, melon, melonStem, mobSpawner, mushroomBrown, mushroomCapBrown, mushroomCapRed, mushroomRed, music, mycelium, netherBrick, netherFence, netherrack, netherStalk, obsidian, opaqueCubeLookup, oreCoal, oreDiamond, oreEmerald, oreGold, oreIron, oreLapis, oreRedstone, oreRedstoneGlowing, pistonBase, pistonExtension, pistonMoving, pistonStickyBase, planks, plantRed, plantYellow, portal, potato, pressurePlatePlanks, pressurePlateStone, pumpkin, pumpkinLantern, pumpkinStem, rail, railDetector, railPowered, redstoneLampActive, redstoneLampIdle, redstoneRepeaterActive, redstoneRepeaterIdle, redstoneWire, reed, requiresSelfNotify, sand, sandStone, sapling, signPost, signWall, silverfish, skull, slipperiness, slowSand, snow, soundAnvilFootstep, soundClothFootstep, soundGlassFootstep, soundGrassFootstep, soundGravelFootstep, soundLadderFootstep, soundMetalFootstep, soundPowderFootstep, soundSandFootstep, soundSnowFootstep, soundStoneFootstep, soundWoodFootstep, sponge, stairCompactCobblestone, stairCompactPlanks, stairsBrick, stairsNetherBrick, stairsSandStone, stairsStoneBrickSmooth, stairsWoodBirch, stairsWoodJungle, stairsWoodSpruce, stepSound, stone, stoneBrick, stoneButton, stoneDoubleSlab, stoneOvenActive, stoneOvenIdle, stoneSingleSlab, tallGrass, thinGlass, tilledField, tnt, torchRedstoneActive, torchRedstoneIdle, torchWood, trapdoor, tripWire, tripWireSource, useNeighborBrightness, vine, waterlily, waterMoving, waterStill, web, whiteStone, wood, woodDoubleSlab, woodenButton, woodSingleSlab, workbench`

Method Summary
`boolean` | `canBlockStay(World par1World, int par2, int par3, int par4)` Can this block stay at this position.
`boolean` | `canPlaceBlockAt(World par1World, int par2, int par3, int par4)` Checks to see if its valid to put this block at the specified coordinates.
`boolean` | `canProvidePower()` Can this block provide power.
`boolean` | `func_82523_e(IBlockAccess par1IBlockAccess, int par2, int par3, int par4, int par5)`
`static boolean` | `func_82524_c(int par0)`
`boolean` | `func_83011_d(World par1World, int par2, int par3, int par4, int par5)`
`int` | `getBlockTextureFromSide(int par1)` Returns the block texture based on the side being looked at.
`int` | `getBlockTextureFromSideAndMetadata(int par1, int par2)` From the specified side and block metadata retrieves the blocks texture.
`int` | `getRenderType()` The type of render function that is called for this block
`int` | `idDropped(int par1, Random par2Random, int par3)` Returns the ID of the items to drop on destruction.
`int` | `idPicked(World par1World, int par2, int par3, int par4)`
`boolean` | `isOpaqueCube()` Is this block (a) opaque and (b) a full 1m cube? This determines whether or not to render the shared face of two adjacent blocks and also whether the player can attach torches, redstone wire, etc to this block.
`boolean` | `isProvidingStrongPower(IBlockAccess par1IBlockAccess, int par2, int par3, int par4, int par5)` Returns true if the block is emitting direct/strong redstone power on the specified side.
`boolean` | `isProvidingWeakPower(IBlockAccess par1IBlockAccess, int par2, int par3, int par4, int par5)` Returns true if the block is emitting indirect/weak redstone power on the specified side.
`boolean` | `onBlockActivated(World par1World, int par2, int par3, int par4, EntityPlayer par5EntityPlayer, int par6, float par7, float par8, float par9)` Called upon block activation (right click on the block.)
`void` | `onBlockAdded(World par1World, int par2, int par3, int par4)` Called whenever the block is added into the world.
`void` | `onBlockDestroyedByPlayer(World par1World, int par2, int par3, int par4, int par5)` Called right before the block is destroyed by a player.
`void` | `onBlockPlacedBy(World par1World, int par2, int par3, int par4, EntityLiving par5EntityLiving)` Called when the block is placed in the world.
`void` | `onNeighborBlockChange(World par1World, int par2, int par3, int par4, int par5)` Lets the block know when one of its neighbor changes.
`void` | `randomDisplayTick(World par1World, int par2, int par3, int par4, Random par5Random)`
`boolean` | `renderAsNormalBlock()` If this block doesn't render as an ordinary block it will return False (examples: signs, buttons, stairs, etc)
`boolean` | `shouldSideBeRendered(IBlockAccess par1IBlockAccess, int par2, int par3, int par4, int par5)`
`void` | `updateTick(World par1World, int par2, int par3, int par4, Random par5Random)` Ticks the block if it's been scheduled

Methods inherited from class net.minecraft.block.BlockDirectional
`getDirection`

Methods inherited from class net.minecraft.block.Block
`addBlockDestroyEffects, addBlockHitEffects, addCollidingBlockToList, addCreativeItems, beginLeavesDecay, breakBlock, canBeReplacedByLeaves, canCollideCheck, canConnectRedstone, canCreatureSpawn, canDragonDestroy, canDropFromExplosion, canHarvestBlock, canPlaceBlockOnSide, canPlaceTorchOnTop, canRenderInPass, canSilkHarvest, canSustainLeaves, canSustainPlant, collisionRayTrace, colorMultiplier, createTileEntity, damageDropped, dropBlockAsItem, dropBlockAsItemWithChance, fillWithRain, func_82505_u_, func_82506_l, func_85104_a, func_85105_g, getAmbientOcclusionLightValue, getBedDirection, getBedSpawnPosition, getBlockBoundsMaxX, getBlockBoundsMaxY, getBlockBoundsMaxZ, getBlockBoundsMinX, getBlockBoundsMinY, getBlockBoundsMinZ, getBlockBrightness, getBlockColor, getBlockDropped, getBlockHardness, getBlockName, getBlocksMovement, getBlockTexture, getCollisionBoundingBoxFromPool, getCreativeTabToDisplayOn, getDamageValue, getEnableStats, getExplosionResistance, getExplosionResistance, getFireSpreadSpeed, getFlammability, getLightOpacity, getLightValue, getMixedBrightnessForBlock, getMobilityFlag, getPickBlock, getPlayerRelativeBlockHardness, getRenderBlockPass, getRenderColor, getSelectedBoundingBoxFromPool, getSubBlocks, getTextureFile, getTickRandomly, harvestBlock, hasTileEntity, hasTileEntity, isAirBlock, isBeaconBase, isBed, isBedFoot, isBlockBurning, isBlockFoliage, isBlockNormalCube, isBlockReplaceable, isBlockSolid, isBlockSolidOnSide, isCollidable, isFertile, isFireSource, isFlammable, isGenMineableReplaceable, isLadder, isLeaves, isNormalCube, isWood, onBlockClicked, onBlockDestroyedByExplosion, onBlockEventReceived, onBlockHarvested, onEntityCollidedWithBlock, onEntityWalking, onFallenUpon, onSetBlockIDWithMetaData, quantityDropped, quantityDropped, quantityDroppedWithBonus, removeBlockByPlayer, setBedOccupied, setBlockBounds, setBlockBoundsBasedOnState, setBlockBoundsForItemRender, setBlockName, setBlockUnbreakable, setBurnProperties, setCreativeTab, setHardness, setLightOpacity, setLightValue, setRequiresSelfNotify, setResistance, setStepSound, setTextureFile, setTickRandomly, tickRate, translateBlockName, velocityToAddToEntity`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### repeaterTorchOffset

    public static final double[] repeaterTorchOffset

  The offsets for the two torches in redstone repeater blocks.

Method Detail

### renderAsNormalBlock

    public boolean renderAsNormalBlock()

  If this block doesn't render as an ordinary block it will return False (examples: signs, buttons, stairs, etc)

  Overrides:
    `renderAsNormalBlock` in class `Block`

### canPlaceBlockAt

    public boolean canPlaceBlockAt(World par1World,
                                   int par2,
                                   int par3,
                                   int par4)

  Checks to see if its valid to put this block at the specified coordinates. Args: world, x, y, z

  Overrides:
    `canPlaceBlockAt` in class `Block`

### canBlockStay

    public boolean canBlockStay(World par1World,
                                int par2,
                                int par3,
                                int par4)

  Can this block stay at this position. Similar to canPlaceBlockAt except gets checked often with plants.

  Overrides:
    `canBlockStay` in class `Block`

### updateTick

    public void updateTick(World par1World,
                           int par2,
                           int par3,
                           int par4,
                           Random par5Random)

  Ticks the block if it's been scheduled

  Overrides:
    `updateTick` in class `Block`

### getBlockTextureFromSideAndMetadata

    public int getBlockTextureFromSideAndMetadata(int par1,
                                                  int par2)

  From the specified side and block metadata retrieves the blocks texture. Args: side, metadata

  Overrides:
    `getBlockTextureFromSideAndMetadata` in class `Block`

### shouldSideBeRendered

    public boolean shouldSideBeRendered(IBlockAccess par1IBlockAccess,
                                        int par2,
                                        int par3,
                                        int par4,
                                        int par5)

  Overrides:
    `shouldSideBeRendered` in class `Block`

### getRenderType

    public int getRenderType()

  The type of render function that is called for this block

  Overrides:
    `getRenderType` in class `Block`

### getBlockTextureFromSide

    public int getBlockTextureFromSide(int par1)

  Returns the block texture based on the side being looked at. Args: side

  Overrides:
    `getBlockTextureFromSide` in class `Block`

### isProvidingStrongPower

    public boolean isProvidingStrongPower(IBlockAccess par1IBlockAccess,
                                          int par2,
                                          int par3,
                                          int par4,
                                          int par5)

  Returns true if the block is emitting direct/strong redstone power on the specified side. Args: World, X, Y, Z, side

  Overrides:
    `isProvidingStrongPower` in class `Block`

### isProvidingWeakPower

    public boolean isProvidingWeakPower(IBlockAccess par1IBlockAccess,
                                        int par2,
                                        int par3,
                                        int par4,
                                        int par5)

  Returns true if the block is emitting indirect/weak redstone power on the specified side. If isBlockNormalCube returns true, standard redstone propagation rules will apply instead and this will not be called. Args: World, X, Y, Z, side

  Overrides:
    `isProvidingWeakPower` in class `Block`

### onNeighborBlockChange

    public void onNeighborBlockChange(World par1World,
                                      int par2,
                                      int par3,
                                      int par4,
                                      int par5)

  Lets the block know when one of its neighbor changes. Doesn't know which neighbor changed (coordinates passed are their own) Args: x, y, z, neighbor blockID

  Overrides:
    `onNeighborBlockChange` in class `Block`

### func_82523_e

    public boolean func_82523_e(IBlockAccess par1IBlockAccess,
                                int par2,
                                int par3,
                                int par4,
                                int par5)

### onBlockActivated

    public boolean onBlockActivated(World par1World,
                                    int par2,
                                    int par3,
                                    int par4,
                                    EntityPlayer par5EntityPlayer,
                                    int par6,
                                    float par7,
                                    float par8,
                                    float par9)

  Called upon block activation (right click on the block.)

  Overrides:
    `onBlockActivated` in class `Block`

### canProvidePower

    public boolean canProvidePower()

  Can this block provide power. Only wire currently seems to have this change based on its state.

  Overrides:
    `canProvidePower` in class `Block`

### onBlockPlacedBy

    public void onBlockPlacedBy(World par1World,
                                int par2,
                                int par3,
                                int par4,
                                EntityLiving par5EntityLiving)

  Called when the block is placed in the world.

  Overrides:
    `onBlockPlacedBy` in class `Block`

### onBlockAdded

    public void onBlockAdded(World par1World,
                             int par2,
                             int par3,
                             int par4)

  Called whenever the block is added into the world. Args: world, x, y, z

  Overrides:
    `onBlockAdded` in class `Block`

### onBlockDestroyedByPlayer

    public void onBlockDestroyedByPlayer(World par1World,
                                         int par2,
                                         int par3,
                                         int par4,
                                         int par5)

  Called right before the block is destroyed by a player. Args: world, x, y, z, metaData

  Overrides:
    `onBlockDestroyedByPlayer` in class `Block`

### isOpaqueCube

    public boolean isOpaqueCube()

  Is this block (a) opaque and (b) a full 1m cube? This determines whether or not to render the shared face of two adjacent blocks and also whether the player can attach torches, redstone wire, etc to this block.

  Overrides:
    `isOpaqueCube` in class `Block`

### idDropped

    public int idDropped(int par1,
                         Random par2Random,
                         int par3)

  Returns the ID of the items to drop on destruction.

  Overrides:
    `idDropped` in class `Block`

### randomDisplayTick

    public void randomDisplayTick(World par1World,
                                  int par2,
                                  int par3,
                                  int par4,
                                  Random par5Random)

  Overrides:
    `randomDisplayTick` in class `Block`

### idPicked

    public int idPicked(World par1World,
                        int par2,
                        int par3,
                        int par4)

  Overrides:
    `idPicked` in class `Block`

### func_82524_c

    public static boolean func_82524_c(int par0)

### func_83011_d

    public boolean func_83011_d(World par1World,
                                int par2,
                                int par3,
                                int par4,
                                int par5)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD